#!/usr/bin/python3

import os,sys,math
import subprocess

###############
##Subroutines##
###############

def callproc(cmd, **kwargs):

    if(sys.version_info > (3,0)):
        cmd = cmd.encode()

    proc = subprocess.Popen(cmd,stderr = subprocess.STDOUT, stdout=subprocess.PIPE, shell=True);
    (out, err) = proc.communicate()
    
    if(sys.version_info > (3,0)):
        out = out.decode()
    
    return out

def correctfilenames(fname):
    fo = os.path.split(fname)
    ff = fo[len(fo)-1]
    fext = os.path.splitext(ff)[1]
    ff = os.path.splitext(ff)[0]

    f=""

    if(fext=='.pdf' or fext=='.PDF'):
        for I in range(0,len(ff)):
            c = ff[I]
            if(c==' '):
                c = '_'
                f = f + c
                continue
            if(c.isalnum()):
                if(not(c=='-' or c=='+')):
                    f = f + c
                    continue
        f = f + fext
        os.rename(fname,f)
    return 
################
##Main Routine##
################

flist = os.listdir()

for f in flist:
    correctfilenames(f)

flist = os.listdir()

for f in flist:
    fext = os.path.splitext(f)[1]
    if(fext=='.pdf' or fext=='.PDF'):
        f2 = os.path.split(f)
        f = f2[len(f2)-1]

        print('dumping book "{}"'.format(f))

        callproc('./ams_dumplargepdf.py "{}"'.format(f))
