#!/usr/bin/python3

import os,sys,math
import subprocess

###############
##Subroutines##
###############

def callproc(cmd, **kwargs):

    if(sys.version_info > (3,0)):
        cmd = cmd.encode()

    proc = subprocess.Popen(cmd,stderr = subprocess.STDOUT, stdout=subprocess.PIPE, shell=True);
    (out, err) = proc.communicate()
    
    if(sys.version_info > (3,0)):
        out = out.decode()
    
    return out

################
##Main Routine##
################

args = sys.argv
#if(len(args)<2):
#    print("ams_bindallbooks.py:")
#    print("Calls ams_bindbook.py on all subdirectories, assumed to contain images to convert into a pdf")


flst = os.listdir()
dlst = []
for f in flst:
    if(os.path.isdir(f)):
        dlst.append(f)

for d in dlst:
    print("binding book {}".format(d))
    callproc("./ams_bindbook.py {}".format(d))

